from django import forms
from .models import sensoresfijos, AltaSensoresFijos, telegram



class Formsensoresf(forms.ModelForm):
    class Meta:
        model = sensoresfijos
        fields = ('idsensor', 'temp', 'hume')


class FormAltasensoresf(forms.ModelForm):
    def __init__(self, *args, **kwargs):
       super(FormAltasensoresf, self).__init__(*args, **kwargs)
       self.fields['idsensor'].widget.attrs['readonly'] = True

    class Meta:
        model = AltaSensoresFijos
        fields = ('idsensor', 'nombre', 'temp_min', 'temp_max', 'hume_min', 'hume_max', 'activo', 'ver_humedad')



class Formtelegram(forms.ModelForm):
    class Meta:
        model = telegram
        fields = ('idBot', 'idGrupo')